<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection url
     * @property Grid\Column|Collection controller
     * @property Grid\Column|Collection func
     * @property Grid\Column|Collection method
     * @property Grid\Column|Collection ip
     * @property Grid\Column|Collection params
     * @property Grid\Column|Collection remarks
     * @property Grid\Column|Collection day
     * @property Grid\Column|Collection auth
     * @property Grid\Column|Collection share_name
     * @property Grid\Column|Collection share_phone
     * @property Grid\Column|Collection state
     * @property Grid\Column|Collection not_desc
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection image_path
     * @property Grid\Column|Collection md5
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection class
     * @property Grid\Column|Collection size
     * @property Grid\Column|Collection file_type
     * @property Grid\Column|Collection download
     * @property Grid\Column|Collection klass
     * @property Grid\Column|Collection objid
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection expiration
     * @property Grid\Column|Collection group
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection short_name
     * @property Grid\Column|Collection grade
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection zip_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection desc
     * @property Grid\Column|Collection uid
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection purchaser_user_id
     * @property Grid\Column|Collection amount
     * @property Grid\Column|Collection order_id
     * @property Grid\Column|Collection answer
     * @property Grid\Column|Collection look_num
     * @property Grid\Column|Collection keyword
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection more
     * @property Grid\Column|Collection num
     * @property Grid\Column|Collection wx_order
     * @property Grid\Column|Collection diamond
     * @property Grid\Column|Collection pay_at
     * @property Grid\Column|Collection pay
     * @property Grid\Column|Collection isPost
     * @property Grid\Column|Collection config_id
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection mini_app_id
     * @property Grid\Column|Collection mini_app_key
     * @property Grid\Column|Collection wechat_app_id
     * @property Grid\Column|Collection wechat_app_key
     * @property Grid\Column|Collection wechat_apiclient_key
     * @property Grid\Column|Collection wechat_apiclient_cert
     * @property Grid\Column|Collection alipay_app_id
     * @property Grid\Column|Collection alipay_app_key
     * @property Grid\Column|Collection alipay_app_secret
     * @property Grid\Column|Collection douyin_app_id
     * @property Grid\Column|Collection douyin_app_key
     * @property Grid\Column|Collection douyin_app_secret
     * @property Grid\Column|Collection is_new
     * @property Grid\Column|Collection award_count
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection parent_code
     * @property Grid\Column|Collection full_name
     * @property Grid\Column|Collection is_delete
     * @property Grid\Column|Collection prefix
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection image
     * @property Grid\Column|Collection init_content
     * @property Grid\Column|Collection sd_image
     * @property Grid\Column|Collection sd_id
     * @property Grid\Column|Collection surplus_diamond
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection plot
     * @property Grid\Column|Collection is_handpick
     * @property Grid\Column|Collection pinyin_content
     * @property Grid\Column|Collection pdf_path
     * @property Grid\Column|Collection file
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection open_id
     * @property Grid\Column|Collection online
     * @property Grid\Column|Collection last_login_ip
     * @property Grid\Column|Collection last_login_time
     * @property Grid\Column|Collection is_black
     * @property Grid\Column|Collection sessionKey
     * @property Grid\Column|Collection is_share
     * @property Grid\Column|Collection share_pid
     * @property Grid\Column|Collection share_date
     * @property Grid\Column|Collection income
     * @property Grid\Column|Collection qr_code
     * @property Grid\Column|Collection sex
     * @property Grid\Column|Collection age
     * @property Grid\Column|Collection star
     * @property Grid\Column|Collection level
     * @property Grid\Column|Collection bank_name
     * @property Grid\Column|Collection procedure
     * @property Grid\Column|Collection practical_amount
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection url(string $label = null)
     * @method Grid\Column|Collection controller(string $label = null)
     * @method Grid\Column|Collection func(string $label = null)
     * @method Grid\Column|Collection method(string $label = null)
     * @method Grid\Column|Collection ip(string $label = null)
     * @method Grid\Column|Collection params(string $label = null)
     * @method Grid\Column|Collection remarks(string $label = null)
     * @method Grid\Column|Collection day(string $label = null)
     * @method Grid\Column|Collection auth(string $label = null)
     * @method Grid\Column|Collection share_name(string $label = null)
     * @method Grid\Column|Collection share_phone(string $label = null)
     * @method Grid\Column|Collection state(string $label = null)
     * @method Grid\Column|Collection not_desc(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection image_path(string $label = null)
     * @method Grid\Column|Collection md5(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection class(string $label = null)
     * @method Grid\Column|Collection size(string $label = null)
     * @method Grid\Column|Collection file_type(string $label = null)
     * @method Grid\Column|Collection download(string $label = null)
     * @method Grid\Column|Collection klass(string $label = null)
     * @method Grid\Column|Collection objid(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection expiration(string $label = null)
     * @method Grid\Column|Collection group(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection short_name(string $label = null)
     * @method Grid\Column|Collection grade(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection zip_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection desc(string $label = null)
     * @method Grid\Column|Collection uid(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection purchaser_user_id(string $label = null)
     * @method Grid\Column|Collection amount(string $label = null)
     * @method Grid\Column|Collection order_id(string $label = null)
     * @method Grid\Column|Collection answer(string $label = null)
     * @method Grid\Column|Collection look_num(string $label = null)
     * @method Grid\Column|Collection keyword(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection more(string $label = null)
     * @method Grid\Column|Collection num(string $label = null)
     * @method Grid\Column|Collection wx_order(string $label = null)
     * @method Grid\Column|Collection diamond(string $label = null)
     * @method Grid\Column|Collection pay_at(string $label = null)
     * @method Grid\Column|Collection pay(string $label = null)
     * @method Grid\Column|Collection isPost(string $label = null)
     * @method Grid\Column|Collection config_id(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection mini_app_id(string $label = null)
     * @method Grid\Column|Collection mini_app_key(string $label = null)
     * @method Grid\Column|Collection wechat_app_id(string $label = null)
     * @method Grid\Column|Collection wechat_app_key(string $label = null)
     * @method Grid\Column|Collection wechat_apiclient_key(string $label = null)
     * @method Grid\Column|Collection wechat_apiclient_cert(string $label = null)
     * @method Grid\Column|Collection alipay_app_id(string $label = null)
     * @method Grid\Column|Collection alipay_app_key(string $label = null)
     * @method Grid\Column|Collection alipay_app_secret(string $label = null)
     * @method Grid\Column|Collection douyin_app_id(string $label = null)
     * @method Grid\Column|Collection douyin_app_key(string $label = null)
     * @method Grid\Column|Collection douyin_app_secret(string $label = null)
     * @method Grid\Column|Collection is_new(string $label = null)
     * @method Grid\Column|Collection award_count(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection parent_code(string $label = null)
     * @method Grid\Column|Collection full_name(string $label = null)
     * @method Grid\Column|Collection is_delete(string $label = null)
     * @method Grid\Column|Collection prefix(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection image(string $label = null)
     * @method Grid\Column|Collection init_content(string $label = null)
     * @method Grid\Column|Collection sd_image(string $label = null)
     * @method Grid\Column|Collection sd_id(string $label = null)
     * @method Grid\Column|Collection surplus_diamond(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection plot(string $label = null)
     * @method Grid\Column|Collection is_handpick(string $label = null)
     * @method Grid\Column|Collection pinyin_content(string $label = null)
     * @method Grid\Column|Collection pdf_path(string $label = null)
     * @method Grid\Column|Collection file(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection open_id(string $label = null)
     * @method Grid\Column|Collection online(string $label = null)
     * @method Grid\Column|Collection last_login_ip(string $label = null)
     * @method Grid\Column|Collection last_login_time(string $label = null)
     * @method Grid\Column|Collection is_black(string $label = null)
     * @method Grid\Column|Collection sessionKey(string $label = null)
     * @method Grid\Column|Collection is_share(string $label = null)
     * @method Grid\Column|Collection share_pid(string $label = null)
     * @method Grid\Column|Collection share_date(string $label = null)
     * @method Grid\Column|Collection income(string $label = null)
     * @method Grid\Column|Collection qr_code(string $label = null)
     * @method Grid\Column|Collection sex(string $label = null)
     * @method Grid\Column|Collection age(string $label = null)
     * @method Grid\Column|Collection star(string $label = null)
     * @method Grid\Column|Collection level(string $label = null)
     * @method Grid\Column|Collection bank_name(string $label = null)
     * @method Grid\Column|Collection procedure(string $label = null)
     * @method Grid\Column|Collection practical_amount(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection token
     * @property Show\Field|Collection url
     * @property Show\Field|Collection controller
     * @property Show\Field|Collection func
     * @property Show\Field|Collection method
     * @property Show\Field|Collection ip
     * @property Show\Field|Collection params
     * @property Show\Field|Collection remarks
     * @property Show\Field|Collection day
     * @property Show\Field|Collection auth
     * @property Show\Field|Collection share_name
     * @property Show\Field|Collection share_phone
     * @property Show\Field|Collection state
     * @property Show\Field|Collection not_desc
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection image_path
     * @property Show\Field|Collection md5
     * @property Show\Field|Collection path
     * @property Show\Field|Collection class
     * @property Show\Field|Collection size
     * @property Show\Field|Collection file_type
     * @property Show\Field|Collection download
     * @property Show\Field|Collection klass
     * @property Show\Field|Collection objid
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection key
     * @property Show\Field|Collection expiration
     * @property Show\Field|Collection group
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection short_name
     * @property Show\Field|Collection grade
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection zip_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection desc
     * @property Show\Field|Collection uid
     * @property Show\Field|Collection code
     * @property Show\Field|Collection purchaser_user_id
     * @property Show\Field|Collection amount
     * @property Show\Field|Collection order_id
     * @property Show\Field|Collection answer
     * @property Show\Field|Collection look_num
     * @property Show\Field|Collection keyword
     * @property Show\Field|Collection event
     * @property Show\Field|Collection more
     * @property Show\Field|Collection num
     * @property Show\Field|Collection wx_order
     * @property Show\Field|Collection diamond
     * @property Show\Field|Collection pay_at
     * @property Show\Field|Collection pay
     * @property Show\Field|Collection isPost
     * @property Show\Field|Collection config_id
     * @property Show\Field|Collection email
     * @property Show\Field|Collection mini_app_id
     * @property Show\Field|Collection mini_app_key
     * @property Show\Field|Collection wechat_app_id
     * @property Show\Field|Collection wechat_app_key
     * @property Show\Field|Collection wechat_apiclient_key
     * @property Show\Field|Collection wechat_apiclient_cert
     * @property Show\Field|Collection alipay_app_id
     * @property Show\Field|Collection alipay_app_key
     * @property Show\Field|Collection alipay_app_secret
     * @property Show\Field|Collection douyin_app_id
     * @property Show\Field|Collection douyin_app_key
     * @property Show\Field|Collection douyin_app_secret
     * @property Show\Field|Collection is_new
     * @property Show\Field|Collection award_count
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection parent_code
     * @property Show\Field|Collection full_name
     * @property Show\Field|Collection is_delete
     * @property Show\Field|Collection prefix
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection content
     * @property Show\Field|Collection image
     * @property Show\Field|Collection init_content
     * @property Show\Field|Collection sd_image
     * @property Show\Field|Collection sd_id
     * @property Show\Field|Collection surplus_diamond
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection plot
     * @property Show\Field|Collection is_handpick
     * @property Show\Field|Collection pinyin_content
     * @property Show\Field|Collection pdf_path
     * @property Show\Field|Collection file
     * @property Show\Field|Collection status
     * @property Show\Field|Collection open_id
     * @property Show\Field|Collection online
     * @property Show\Field|Collection last_login_ip
     * @property Show\Field|Collection last_login_time
     * @property Show\Field|Collection is_black
     * @property Show\Field|Collection sessionKey
     * @property Show\Field|Collection is_share
     * @property Show\Field|Collection share_pid
     * @property Show\Field|Collection share_date
     * @property Show\Field|Collection income
     * @property Show\Field|Collection qr_code
     * @property Show\Field|Collection sex
     * @property Show\Field|Collection age
     * @property Show\Field|Collection star
     * @property Show\Field|Collection level
     * @property Show\Field|Collection bank_name
     * @property Show\Field|Collection procedure
     * @property Show\Field|Collection practical_amount
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection url(string $label = null)
     * @method Show\Field|Collection controller(string $label = null)
     * @method Show\Field|Collection func(string $label = null)
     * @method Show\Field|Collection method(string $label = null)
     * @method Show\Field|Collection ip(string $label = null)
     * @method Show\Field|Collection params(string $label = null)
     * @method Show\Field|Collection remarks(string $label = null)
     * @method Show\Field|Collection day(string $label = null)
     * @method Show\Field|Collection auth(string $label = null)
     * @method Show\Field|Collection share_name(string $label = null)
     * @method Show\Field|Collection share_phone(string $label = null)
     * @method Show\Field|Collection state(string $label = null)
     * @method Show\Field|Collection not_desc(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection image_path(string $label = null)
     * @method Show\Field|Collection md5(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection class(string $label = null)
     * @method Show\Field|Collection size(string $label = null)
     * @method Show\Field|Collection file_type(string $label = null)
     * @method Show\Field|Collection download(string $label = null)
     * @method Show\Field|Collection klass(string $label = null)
     * @method Show\Field|Collection objid(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection expiration(string $label = null)
     * @method Show\Field|Collection group(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection short_name(string $label = null)
     * @method Show\Field|Collection grade(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection zip_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection desc(string $label = null)
     * @method Show\Field|Collection uid(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection purchaser_user_id(string $label = null)
     * @method Show\Field|Collection amount(string $label = null)
     * @method Show\Field|Collection order_id(string $label = null)
     * @method Show\Field|Collection answer(string $label = null)
     * @method Show\Field|Collection look_num(string $label = null)
     * @method Show\Field|Collection keyword(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection more(string $label = null)
     * @method Show\Field|Collection num(string $label = null)
     * @method Show\Field|Collection wx_order(string $label = null)
     * @method Show\Field|Collection diamond(string $label = null)
     * @method Show\Field|Collection pay_at(string $label = null)
     * @method Show\Field|Collection pay(string $label = null)
     * @method Show\Field|Collection isPost(string $label = null)
     * @method Show\Field|Collection config_id(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection mini_app_id(string $label = null)
     * @method Show\Field|Collection mini_app_key(string $label = null)
     * @method Show\Field|Collection wechat_app_id(string $label = null)
     * @method Show\Field|Collection wechat_app_key(string $label = null)
     * @method Show\Field|Collection wechat_apiclient_key(string $label = null)
     * @method Show\Field|Collection wechat_apiclient_cert(string $label = null)
     * @method Show\Field|Collection alipay_app_id(string $label = null)
     * @method Show\Field|Collection alipay_app_key(string $label = null)
     * @method Show\Field|Collection alipay_app_secret(string $label = null)
     * @method Show\Field|Collection douyin_app_id(string $label = null)
     * @method Show\Field|Collection douyin_app_key(string $label = null)
     * @method Show\Field|Collection douyin_app_secret(string $label = null)
     * @method Show\Field|Collection is_new(string $label = null)
     * @method Show\Field|Collection award_count(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection parent_code(string $label = null)
     * @method Show\Field|Collection full_name(string $label = null)
     * @method Show\Field|Collection is_delete(string $label = null)
     * @method Show\Field|Collection prefix(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection image(string $label = null)
     * @method Show\Field|Collection init_content(string $label = null)
     * @method Show\Field|Collection sd_image(string $label = null)
     * @method Show\Field|Collection sd_id(string $label = null)
     * @method Show\Field|Collection surplus_diamond(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection plot(string $label = null)
     * @method Show\Field|Collection is_handpick(string $label = null)
     * @method Show\Field|Collection pinyin_content(string $label = null)
     * @method Show\Field|Collection pdf_path(string $label = null)
     * @method Show\Field|Collection file(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection open_id(string $label = null)
     * @method Show\Field|Collection online(string $label = null)
     * @method Show\Field|Collection last_login_ip(string $label = null)
     * @method Show\Field|Collection last_login_time(string $label = null)
     * @method Show\Field|Collection is_black(string $label = null)
     * @method Show\Field|Collection sessionKey(string $label = null)
     * @method Show\Field|Collection is_share(string $label = null)
     * @method Show\Field|Collection share_pid(string $label = null)
     * @method Show\Field|Collection share_date(string $label = null)
     * @method Show\Field|Collection income(string $label = null)
     * @method Show\Field|Collection qr_code(string $label = null)
     * @method Show\Field|Collection sex(string $label = null)
     * @method Show\Field|Collection age(string $label = null)
     * @method Show\Field|Collection star(string $label = null)
     * @method Show\Field|Collection level(string $label = null)
     * @method Show\Field|Collection bank_name(string $label = null)
     * @method Show\Field|Collection procedure(string $label = null)
     * @method Show\Field|Collection practical_amount(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
